Zum Hauptinhalt springen
DELETE
/
events
/
2026-03
/
event-definitions
/
{eventName}
/
property
/
{propertyName}
Delete a property from a custom event definition
curl --request DELETE \
  --url https://api.hubapi.com/events/2026-03/event-definitions/{eventName}/property/{propertyName} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/events/2026-03/event-definitions/{eventName}/property/{propertyName}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/events/2026-03/event-definitions/{eventName}/property/{propertyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

eventName
string
erforderlich
propertyName
string
erforderlich

Antwort

Zuletzt geändert am 17. April 2026